# Motherbot

## Overview

The project is a Python-based application that focuses on managing contacts and notes, offering features like adding, editing, and deleting contacts, creating and managing notes with tags, and interacting through a command-line interface. It also incorporates Python best practices and concepts, such as decorators, to enhance functionality.

![WelcomeScreencapture](welcomeScreen.png)

## Features

- **Contacts Management:** Create, update, delete, and search contacts.
- **Notes Management:** Manage notes with tagging and searching functionality.
- **Custom Decorators:** Utility decorators for logging, validation, etc.
- **Helper Functions:** Common utility functions used across the project.

## Requirements

- Python 3.x
- See `requirements.txt` for the full list of dependencies.

## Installation

1. Clone the repository:
   ```bash
   git clone https://github.com/Iryna-Holova/goit-pycore-final.git
   ```
2. Navigate to the project directory:
   ```bash
   cd goit-pycore-final
   ```
3. Create Python virtual environment:
   ```bash
   python -m venv venv
   ```
4. Activate Python virtual environment:
   ```bash
   source .venv/Scripts/activate
   ```
5. Install the required dependencies:
   ```bash
   pip install -r requirements.txt
   ```

## Usage

Run the main script to start the application:

```bash
python main.py
```

Enter the command `help` to see available commands.

## Contributions

Feel free to fork the repository and submit pull requests. Contributions are welcome!

## Contributors

- [Iryna Holova - Team Lead, developer](https://github.com/Iryna-Holova)
- [Katerina Tkachenko - developer](https://github.com/TkachenkoKaterina)
- [Yurii Filimonchuk - developer](https://github.com/filimon4uck)
- [Anna Tsepilova - developer](https://github.com/AnnaTsepilova)
- [Volodymyr Popov - developer](https://github.com/AppForceLab)
- [Kostiantyn Baltakov - developer](https://github.com/Baltakov)

## Contact

For any questions, please contact [Iryna Holova](https://github.com/Iryna-Holova).
